| ghc-6.10.4: The GHC API | Contents | Index

CmdLineParser

Documentation
processArgs :: Monad m => [Flag m] -> [Located String] -> m ([Located String], [Located String], [Located String])
data OptKind m

Constructors

NoArg (m ()) |
HasArg (String -> m ()) |
SepArg (String -> m ()) |
Prefix (String -> m ()) |
OptPrefix (String -> m ()) |
OptIntSuffix (Maybe Int -> m ()) |
IntSuffix (Int -> m ()) |
PassFlag (String -> m ()) |
AnySuffix (String -> m ()) |
PrefixPred (String -> Bool) (String -> m ()) |
AnySuffixPred (String -> Bool) (String -> m ()) |

newtype CmdLineP s a

Constructors

CmdLineP |

runCmdLine :: s -> (a, s) |

Instances

Monad (CmdLineP s)

getCmdLineState :: CmdLineP s s
putCmdLineState :: s -> CmdLineP s ()
data Flag m

Constructors

Flag |

flagName :: String |
flagOptKind :: OptKind m |
flagDeprecated :: Deprecated |

data Deprecated

Constructors

Supported |
Deprecated String |

errorsToGhcException :: [Located String] -> GhcException
Produced by Haddock version 2.4.2